//
// Created by sebastian on 06.08.26.
//

#ifndef COLORRACE_LOBBYSCENE_H
#define COLORRACE_LOBBYSCENE_H
#include "layer/Scene.h"


class LobbyScene : public engine::Scene {
public:
    LobbyScene(const std::shared_ptr<engine::EventBus<ApplicationEvents>> &applicationEventbus,
        engine::InputContextStack &inputStack, engine::Keyboard &keyboard, engine::Mouse &mouse)
        : Scene(applicationEventbus, inputStack, keyboard, mouse) {
    }

    std::vector<engine::AssetRequest> getRequiredAssets() const override;
    void onEnter() override;
    void onExit() override;
};


#endif //COLORRACE_LOBBYSCENE_H
